Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.form
Enum OdfVisualEffectType

    java.lang.Object
      java.lang.Enum<OdfVisualEffectType>
          org.odftoolkit.odfdom.dom.type.form.OdfVisualEffectType

All Implemented Interfaces:
  Serializable, Comparable<OdfVisualEffectType>

    public enum OdfVisualEffectType

extends Enum<OdfVisualEffectType>

DOM implementation of OpenDocument attribute form:visual-effect.

Enum Constant Summary
`_3D`
`FLAT`

Method Summary
`static OdfVisualEffectType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfVisualEffectType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfVisualEffectType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfVisualEffectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FLAT

    public static final OdfVisualEffectType FLAT

### _3D

    public static final OdfVisualEffectType _3D

Method Detail

### values

    public static OdfVisualEffectType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfVisualEffectType c : OdfVisualEffectType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfVisualEffectType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfVisualEffectType>`
  Returns:
    return the name of OdfVisualEffectType

### toString

    public static String toString(OdfVisualEffectType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfVisualEffectType, see form:visual-effect
  Returns:
    return the name of OdfVisualEffectType

### enumValueOf

    public static OdfVisualEffectType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfVisualEffectType
  Returns:
    return the constant of OdfVisualEffectType, see form:visual-effect

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.